<?php

/**
 * @Copyright © 2002-2019 Acronis International GmbH. All rights reserved
 */

class Service_AmsApiClient_Response_Login extends Service_BaseClient_Response_Base
{
    const PROPERTY_SERVICES = 'services';

    /**
     * @param array $responseData
     * @return Service_AmsApiClient_Response_Struct_Login
     * @throws Exception
     */
    protected function _init(array $responseData)
    {
        $loginData = new Service_AmsApiClient_Response_Struct_Login();
        $loginData->setServices($this->_getProperty(static::PROPERTY_SERVICES, $responseData));

        return $loginData;
    }
}