<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

interface Service_BaseClient_Request_IRequest
{
    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_BaseClient_Response_IResponse
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL);

    /**
     * @return Service_BaseClient_TransportStrategy_ITransportStrategy
     */
    public function getSendingStrategy();

    /**
     * @return mixed
     */
    public function getRequestBody();

    /**
     * @param mixed $requesBody
     */
    public function setRequestBody($requesBody);

    /**
     * @return string
     */
    public function getMethod();

    /**
     * @param string $method
     */
    public function setMethod($method);

    /**
     * @return string
     */
    public function getResource();

    /**
     * @param string $resource
     */
    public function setResource($resource);

    /**
     * @return array
     */
    public function getHeaders();

    /**
     * @param array $headers
     */
    public function setHeaders(array $headers);
}
