<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Request_AccountsEmailUpdate extends Service_BaseClient_Request_Json
{
    const REQUEST_URL_PATH = '/actions/emailupdate/?';
    const PARAMETER_TOKEN = 'token';

    /**
     * @param string $token
     */
    public function __construct($token)
    {
        $this->_method = self::METHOD_POST;
        $this->_resource = self::REQUEST_URL_PATH . http_build_query(array(
            self::PARAMETER_TOKEN => $token)
        );
    }

    /**
     * @param string $httpCode
     * @param string $responseBody
     * @return Service_MspApiClient_Response_Accounts
     */
    public function getExpectedResponse($httpCode = NULL, $responseBody = NULL)
    {
        return new Service_MspApiClient_Response_Empty($responseBody);
    }
}