<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_Struct_AdministratorItem
{
    /** @var  string */
    private $_email;
    /** @var  string */
    private $_login;
    /** @var  string */
    private $_firstName;
    /** @var  string */
    private $_lastName;
    /** @var  int */
    private $_status;
    /** @var  int */
    private $_user_id;
    /** @var  int */
    private $_id;
    /** @var  int */
    private $_version;
    /** @var int */
    private $_access_type;
    /** @var int */
    private $_roles;

    public function __construct()
    {
    }

    /**
     * @return int
     */
    public function getUserId()
    {
        return $this->_user_id;
    }

    /**
     * @param int $userId
     */
    public function setUserId($userId)
    {
        $this->_user_id = $userId;
    }

    /**
     * @return int
     */
    public function getVersion()
    {
        return $this->_version;
    }

    /**
     * @param int $version
     */
    public function setVersion($version)
    {
        $this->_version = $version;
    }

    /**
     * @param string $email
     */
    public function setEmail($email)
    {
        $this->_email = $email;
    }

    /**
     * @param string $login
     */
    public function setLogin($login)
    {
        $this->_login = $login;
    }


    /**
     * @return string
     */
    public function getLogin()
    {
        return $this->_login;
    }

    /**
     * @param int $accessType
     */
    public function setAccessType($accessType)
    {
        $this->_access_type = $accessType;
    }

    /**
     * @return int
     */
    public function getAccessType()
    {
        return $this->_access_type;
    }

    /**
     * @param int $roles
     */
    public function setRoles($roles)
    {
    $this->_roles = $roles;
    }

    /**
     * @return int
     */
    public function getRoles()
    {
        return $this->_roles;
    }

    /**
     * @param string $firstName
     */
    public function setFirstName($firstName)
    {
        $this->_firstName = $firstName;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->_id = $id;
    }

    /**
     * @param string $lastName
     */
    public function setLastName($lastName)
    {
        $this->_lastName = $lastName;
    }

    /**
     * @param int $status
     */
    public function setStatus($status)
    {
        $this->_status = $status;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->_email;
    }

    /**
     * @return string
     */
    public function getFirstName()
    {
        return $this->_firstName;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->_id;
    }

    /**
     * @return string
     */
    public function getLastName()
    {
        return $this->_lastName;
    }

    /**
     * @return int
     */
    public function getStatus()
    {
        return $this->_status;
    }
}