<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetDeliverLinesForPeriodByVendorList extends Service_PbaApi_Client_Request
{
    const METHOD = 'DeliverLinesForPeriodByVendorListGet_API';

    /**
     * Service_PbaApi_Api_Request_MergeDeliverLinesForPeriodByVendor constructor.
     * @param int $fromDate
     * @param int $toDate
     * @param int $vendorId
     * @param int $sortNo
     */
    public function __construct($fromDate, $toDate, $vendorId, $sortNo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int)$fromDate,
            (int)$toDate,
            (int)$vendorId,
            (int)$sortNo
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetDeliverLinesForPeriodByVendorList
     */
    public function getExpectedResponse(array $responseArray = NULL)
    {
        return new Service_PbaApi_Api_Response_GetDeliverLinesForPeriodByVendorList($responseArray);
    }
}
