<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetPlanRateList extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanRateListGet_API';

    /**
     * Service_PbaApi_Api_Request_GetVendorCurrency constructor.
     * @param int $planId
     * @param int $sortNo
     */
    public function __construct($planId, $sortNo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int)$planId,
            (int)$sortNo
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanRateList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanRateList($responseArray);
    }
}
