<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_PlaceOrderAndAuthorize extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlaceOrderAndAuthorize_API';

    /**
     * Service_PbaApi_Api_Request_PlaceOrderAndAuthorize constructor.
     * @param string $vendorAccountId
     * @param array|null $params
     * @param string|null $language
     */
    public function __construct($vendorAccountId, $params, $language)
    {
        $parameters = array_merge(array((int)$vendorAccountId), $params);
        parent::__construct(self::METHOD, $parameters, $language);
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionResourcesList
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_PlaceOrderAndAuthorize($responseArray);
    }
}
