<?php

namespace Acronis\App\Services\Logger;

use Monolog\Processor\ProcessorInterface;

/**
 * Class ApsTypeLibraryProcessor
 * @package Acronis\App\Services\Logger
 */
class ApsTypeLibraryProcessor implements ProcessorInterface
{
    /**
     * @param array $records
     * @return array
     */
    public function __invoke(array $records)
    {
        if (strstr($records['message'], 'TypeLibrary')) {
            $records['level'] = null;
        }

        return $records;
    }
}