<?php

namespace Acronis\App\Services\NotificationManager;

use Acronis\App\CloudApi\Api;

/**
 * Trait NotificationManagerAwareTrait
 * @package Acronis\App\NotificationManager
 */
trait NotificationManagerAwareTrait
{
    /**
     * @param Api $cloudApi
     * @return NotificationManager
     */
    protected function getNotificationManager(Api $cloudApi)
    {
        $key = preg_replace('/^[a-zA-Z0-9-_]+$/i', '', $cloudApi->getUrl() . '_' . $cloudApi->getLogin());
        if (!isset(NotificationManager::$instances[$key])) {
            NotificationManager::$instances[$key] = new NotificationManager($cloudApi);
        }

        return NotificationManager::$instances[$key];
    }
}