<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\UsageReport\Aggregation;

use Acronis\App\UsageReport\ReportRowWrapperInterface;

interface AggregationStrategyInterface
{
    /**
     * @param Accumulator $accumulator
     * @param ReportRowWrapperInterface $reportRow
     * @param string $tenantType
     * @return mixed
     */
    public function aggregateRow(&$accumulator, $reportRow, $tenantType);
}