<?php
/**
 * @Copyright © 2002-2021 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\UsageReport\TenantsMap;

class TenantMapping implements TenantMappingInterface
{
    // public for no problem with serialization/deserialization
    public function __construct(public $tenantId, public $tenantData) {}

    public function getId() : string|int
    {
        return $this->tenantData->subscriptionId;
    }

    public function getTenantId() : string
    {
        return $this->tenantId;
    }

    public function getTenantData() : object
    {
        return $this->tenantData;
    }
}