<?php
/**
 * @Copyright © 2002-2020 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\UsageReport\TenantsMap;

interface TenantMappingInterface
{
    /**
     * The idea is to make interface more common
     * id - is id in provisioning system
     * @return string|int
     */
    public function getId(): string|int;

    public function getTenantId(): string;

    public function getTenantData(): object;
}