<?php
/**
 * @Copyright © 2002-2021 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Utils\Exception;

use Acronis\App\Utils\CacheableExceptionInterface;

class CachedMapIsNotWarmedUp extends \Exception implements CacheableExceptionInterface
{
    public function __construct(
        string $mapName,
        string $id
    ) {
        parent::__construct(sprintf('Cached map "%s" is not filled while trying to access cached key "%s".',
            $mapName, $id
        ), 400);
    }
}