<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

/**
 * @link https://doc.apsstandard.org/2.2/spec/ui/integration-ccp/notifications/
 */
class Model_ScreenNotification_Struct_LocalizedMessage implements Model_ScreenNotification_Struct_LocalizedMessageInterface
{
    /**
     * @var string
     */
    private $_message;

    /**
     * @var object
     */
    private $_keys;

    /**
     * @param string $message
     */
    public function setMessage($message)
    {
        $this->_message = $message;
    }

    /**
     * @return string
     */
    public function getMessage()
    {
        return $this->_message;
    }

    /**
     * @param array $keys
     */
    public function setKeys(array $keys = null)
    {
        $this->_keys = $keys;
    }

    /**
     * @return array
     */
    public function getKeys()
    {
        return $this->_keys;
    }
}