<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_LogicVersions extends Service_BaseClient_Response_Base
{
    const PROPERTY_LIB = 'lib';
    const PROPERTY_DATABASE = 'database';
    const PROPERTY_API = 'api';
    const PROPERTY_FLASH = 'flash';

    /**
     * @param array $responseData
     * @return int
     */
    protected function _init(array $responseData)
    {
        $versions = new Service_MspApiClient_Response_Struct_LogicVersions();
        $versions->setLib($this->_getProperty(self::PROPERTY_LIB, $responseData));
        $versions->setDatabase($this->_getProperty(self::PROPERTY_DATABASE, $responseData));
        $versions->setApi($this->_getProperty(self::PROPERTY_API, $responseData));
        $versions->setFlash($this->_getProperty(self::PROPERTY_FLASH, $responseData));

        return $versions;
    }
}