<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_MspApiClient_Response_Struct_GroupItem
{
    /** @var  int */
    private $grade;
    /** @var  int */
    private $kind;
    /** @var  int */
    private $id;
    /** @var string */
    private $uuid;
    /** @var  int */
    private $status;
    /** @var  int */
    private $version;
    /** @var  int */
    private $has_children;
    /** @var  int */
    private $capabilities;
    /** @var  string */
    private $name;
    /** @var  string */
    private $internalTag;

    /**
     * @param int $capabilities
     */
    public function setCapabilities($capabilities)
    {
        $this->capabilities = $capabilities;
    }

    /**
     * @return int
     */
    public function getCapabilities()
    {
        return $this->capabilities;
    }

    /**
     * @param int $grade
     */
    public function setGrade($grade)
    {
        $this->grade = $grade;
    }

    /**
     * @return int
     */
    public function getGrade()
    {
        return $this->grade;
    }

    /**
     * @return string
     */
    public function getUuid()
    {
        return $this->uuid;
    }

    /**
     * @param string $uuid
     */
    public function setUuid($uuid)
    {
        $this->uuid = $uuid;
    }

    /**
     * @param int $has_children
     */
    public function setHasChildren($has_children)
    {
        $this->has_children = $has_children;
    }

    /**
     * @return int
     */
    public function getHasChildren()
    {
        return $this->has_children;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $kind
     */
    public function setKind($kind)
    {
        $this->kind = $kind;
    }

    /**
     * @return int
     */
    public function getKind()
    {
        return $this->kind;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param int $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param int $version
     */
    public function setVersion($version)
    {
        $this->version = $version;
    }

    /**
     * @return int
     */
    public function getVersion()
    {
        return $this->version;
    }

    /**
     * @return string
     */
    public function getInternalTag()
    {
        return $this->internalTag;
    }

    /**
     * @param string $internalTag
     */
    public function setInternalTag($internalTag)
    {
        $this->internalTag = $internalTag;
    }
}
