<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanPublicationStatusForUpdate extends Service_PbaApi_Client_Request
{
    const METHOD = 'GetPublicationStatusForUpdate';

    /**
     * @param int $planId
     */
    public function __construct($planId)
    {
        parent::__construct(self::METHOD, array(
            (int)$planId,
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanPublicationStatusForUpdate
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanPublicationStatusForUpdate($responseArray);
    }
}
