<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_PbaApi_Api_Request_GetPlanRates extends Service_PbaApi_Client_Request
{
    const METHOD = 'PlanRatePlan_GetPlanRate2List';

    /**
     * Service_PbaApi_Api_Request_GetPlanRates constructor.
     * @param int $periodId
     * @param int $sortNo
     */
    public function __construct($periodId, $sortNo = 0)
    {
        parent::__construct(self::METHOD, array(
            (int)$periodId,
            (int)$sortNo,
        ));
    }

    /**
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetPlanRates
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetPlanRates($responseArray);
    }
}
