<?php
/**
 * @Copyright © 2002-2019 Acronis International GmbH. All rights reserved
 */

use Acronis\App\Services\Apsc\ProviderApscFactory;
use Acronis\App\Services\BssApi\BssApiFactory;
use Acronis\App\Services\BuildInfo\BuildInfoFactory;
use Acronis\App\Services\Cache\CacheFactory;
use Acronis\App\Services\Config\ConfigFactory;
use Acronis\App\Services\CountersManager\CountersManagerFactory;
use Acronis\App\Services\Database\DatabaseFactory;
use Acronis\App\Services\Logger\AppLoggerFactory;
use Acronis\App\Services\Logger\LoggerFactory;
use Acronis\App\Services\OssApi\OssApiFactory;
use Acronis\App\Services\Redis\PureRedisFactory;
use Acronis\App\Services\Redis\RedisFactory;
use Acronis\App\Services\UsageReportManager\UsageReportManagerFactory;

return [
    AppLoggerFactory::NAME => new AppLoggerFactory(),
    BssApiFactory::NAME => new BssApiFactory(),
    BuildInfoFactory::NAME => new BuildInfoFactory(),
    CacheFactory::NAME => new CacheFactory(),
    ConfigFactory::NAME => new ConfigFactory(),
    CountersManagerFactory::NAME => new CountersManagerFactory(),
    DatabaseFactory::NAME => new DatabaseFactory(),
    LoggerFactory::NAME => new LoggerFactory(),
    OssApiFactory::NAME => new OssApiFactory(),
    ProviderApscFactory::NAME => new ProviderApscFactory(),
    PureRedisFactory::NAME => new PureRedisFactory(),
    RedisFactory::NAME => new RedisFactory(),
    UsageReportManagerFactory::NAME => new UsageReportManagerFactory(),
];